aboutsummaryrefslogtreecommitdiff
path: root/fix-dotfile-paths.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fix-dotfile-paths.sh')
-rwxr-xr-xfix-dotfile-paths.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/fix-dotfile-paths.sh b/fix-dotfile-paths.sh
index 1e0826c..0757a5c 100755
--- a/fix-dotfile-paths.sh
+++ b/fix-dotfile-paths.sh
@@ -32,7 +32,7 @@ create_ls_entry () {
}
create_dir_tree () {
- ROOT="$HOME/.dotfiles/$1"
+ ROOT="$HOME/dotfiles/$1"
URLROOT="https://jjanzen.ca/dotfiles/$1/"
create_ls_entry "" "$URLROOT"
@@ -48,10 +48,10 @@ create_dir_tree () {
done
}
-cd ~/.dotfiles || exit
+cd ~/dotfiles || exit
git checkout main
echo '#+title: Dotfiles' > index.org
-echo 'This is my system configuration. These pages are automatically generated from the sources hosted [[https://git.sr.ht/~jjanzen/.dotfiles][here]]. Choose which system to browse: ' >> index.org
+echo 'This is my system configuration. These pages are automatically generated from the sources hosted [[https://git.sr.ht/~jjanzen/dotfiles][here]]. Choose which system to browse: ' >> index.org
find -- . -maxdepth 1 -type d | sed '/\(^\.$\|^\.\/\.git$\|\.\/common\)/d' | while read -r root; do
echo creating root $root
root=$(echo "$root" | sed 's/\(\.\/\|\/$\)//')
@@ -59,7 +59,7 @@ find -- . -maxdepth 1 -type d | sed '/\(^\.$\|^\.\/\.git$\|\.\/common\)/d' | whi
echo "- [[https://jjanzen.ca/dotfiles/${root}][${root}]]" >> index.org
cd "$root" || exit
create_dir_tree "$root"
- cd ~/.dotfiles || exit
+ cd ~/dotfiles || exit
done
cd || exit